﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Deleting Multiple Elasticsearch Indices from AWS or Azure</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Deleting Multiple Elasticsearch Indices from AWS or Azure</h1>
        <p>This document explains how to delete Elasticsearch Indices in bulk from AWS or Azure.</p>
        <p>To delete Elasticsearch indices in bulk, perform the following steps:</p>
        <ol>
            <li>
                <p>First, you need&#160;to contact the Saviynt Devops team to get access to the required Elasticsearch instance in AWS or Azure.</p>
            </li>
            <li>
                <p>Once you get access, you can connect to&#160;Elasticsearch instance from an application that can raise HTTP requests (such as Postman) and delete multiple indexes.</p>
            </li>
            <li>
                <p>Open Postman and perform a Delete API call for the URL of the AWS instance.</p>
                <p>For example, consider the sample URL:&#160;<a href="https://xxxx.us-east-1.es.amazonaws.com/_all" class="external-link" rel="nofollow">https://xxxx.us-east-1.es.amazonaws.com/_all</a></p>
                <p>In this sample URL if you provide _all, it means to delete all&#160;Elasticsearch indexes.</p>
                <p>If you want to delete only specific&#160;Elasticsearch indexes, you can replace _all with the index name.</p>
                <p>
                    <img src="../Resources/Images/bulk delete.png" />
                </p>
                <p>Figure: Using the Bulk Delete operation to delete multiple&#160;Elasticsearch indices</p>
            </li>
            <li>
                <p>In the&#160;Postman request page, navigate to <strong>Authorization</strong>&#160;tab&#160;and&#160;enter the parameters in the following fields:</p>
                <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                    <p class="note">You need to get the values of the following parameters from the Saviynt DevOps Team.</p>
                    <p class="note"><b>Type</b> : Select AWS Signature.</p>
                    <p class="note"><strong>Accesskey</strong>: Provide the Access Key.</p>
                    <p class="note"><strong>SecretKey</strong>: Provide the Secret Key.&#160;</p>
                    <p class="note"><strong>AWSRegion</strong>: Provide the AWS Region. For example, us-east-1.</p>
                    <p class="note"><strong>ServiceName</strong> : Provide the service name. For example, es.</p>
                </div>
            </li>
            <li>
                <p>Enter all parameters in the&#160;<strong>Authorization&#160;</strong>tab.</p>
            </li>
            <li>
                <p>Click <strong>Update Request</strong> and then click the <strong>Send</strong> button to&#160;delete multiple indexes for the AWS instance.</p>
                <p>Verify whether the response received is 200 from&#160;Elasticsearch and this confirms that the indices were deleted.</p>
            </li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">For more information about deleting Elasticsearch indices with different options, see&#160;<a href="https://www.elastic.co/guide/en/elasticsearch/reference/current/indices-delete-index.html">https://www.elastic.co/guide/en/elasticsearch/reference/current/indices-delete-index.html.</a></p>
        </div>
    </body>
</html>